import { useEffect, useState } from 'react';
var isNotBlobType = function isNotBlobType(src) {
  return typeof src === 'string';
};
var useGetBlobAsVideoSrcEffect = function useGetBlobAsVideoSrcEffect(_ref) {
  var src = _ref.src,
    playerRef = _ref.playerRef;
  var _useState = useState(isNotBlobType(src) ? src : null),
    videoSrc = _useState[0],
    setVideoSrc = _useState[1];
  useEffect(function () {
    var _playerRef$current;
    if (isNotBlobType(src)) return;
    var objectUrl = URL.createObjectURL(src);
    setVideoSrc(objectUrl);
    (_playerRef$current = playerRef.current) == null ? void 0 : _playerRef$current.load();
    return function () {
      window.URL.revokeObjectURL(objectUrl);
      setVideoSrc(null);
    };
  }, [src, playerRef]);
  return videoSrc;
};
export default useGetBlobAsVideoSrcEffect;