import { useCallback, useRef } from 'react';
var ONE_SECOND = 1000;
var useTimeLimitCheck = function useTimeLimitCheck(_ref) {
  var timeLimit = _ref.timeLimit,
    timeOffset = _ref.timeOffset;
  var checkTimeLimitInterval = useRef(null);
  var stopTimeLimitInterval = useCallback(function (player) {
    if (checkTimeLimitInterval.current === null) return;
    clearInterval(checkTimeLimitInterval.current);
    checkTimeLimitInterval.current = null;
  }, [checkTimeLimitInterval]);
  var startTimeLimitInterval = useCallback(function (player) {
    stopTimeLimitInterval();
    if (timeLimit === undefined) return;
    checkTimeLimitInterval.current = setInterval(function () {
      player.current.getCurrentTime().then(function (currentTime) {
        var isTimeLimitReached = currentTime >= timeLimit && timeLimit !== undefined;
        if (isTimeLimitReached) {
          player.current.pause();
          player.current.setCurrentTime(timeOffset || 0);
        }
      });
    }, ONE_SECOND);
  }, [checkTimeLimitInterval, stopTimeLimitInterval, timeLimit, timeOffset]);
  return {
    startTimeLimitInterval: startTimeLimitInterval,
    stopTimeLimitInterval: stopTimeLimitInterval
  };
};
export default useTimeLimitCheck;