import { useEffect, useRef } from 'react';
import Player from '@vimeo/player';
var useVimeoApi = function useVimeoApi(_ref) {
  var onPlay = _ref.onPlay,
    onPause = _ref.onPause,
    onLoad = _ref.onLoad,
    onCleanEffect = _ref.onCleanEffect,
    playerRef = _ref.playerRef;
  var player = useRef(null);
  useEffect(function () {
    player.current = new Player(playerRef.current);
    player.current.on('play', function () {
      return onPlay(player);
    });
    player.current.on('pause', function () {
      return onPause(player);
    });
    player.current.on('loaded', function () {
      return onLoad(player);
    });
    return function () {
      onCleanEffect(player);
      player.current.destroy();
      player.current = null;
    };
  }, [playerRef, onPlay, onPause, onLoad, onCleanEffect]);
};
export default useVimeoApi;