import { YOUTUBE, YOUTUBE_EMBEDDABLE_URL_PATTERN, YOUTUBE_READABLE_URL_PATTERN, YOUTUBE_SHORT_URL_PATTERN, YOUTUBE_STANDARD_URL_PATTERN } from '../../settings/players.js';
var useYouTubeProperties = function useYouTubeProperties() {
  var getEmbeddableUrl = function getEmbeddableUrl(src) {
    var videoSrc = _replaceNonEmbeddableUrl({
      src: src,
      nonEmbeddableUrl: YOUTUBE_EMBEDDABLE_URL_PATTERN
    });
    videoSrc = _replaceNonEmbeddableUrl({
      src: videoSrc,
      nonEmbeddableUrl: YOUTUBE_STANDARD_URL_PATTERN
    });
    videoSrc = _replaceNonEmbeddableUrl({
      src: videoSrc,
      nonEmbeddableUrl: YOUTUBE_SHORT_URL_PATTERN
    });
    videoSrc = _replaceNonEmbeddableUrl({
      src: videoSrc,
      nonEmbeddableUrl: YOUTUBE_READABLE_URL_PATTERN
    });
    return videoSrc;
  };
  var _replaceNonEmbeddableUrl = function _replaceNonEmbeddableUrl(_ref) {
    var src = _ref.src,
      nonEmbeddableUrl = _ref.nonEmbeddableUrl;
    var videoSrc = src;
    if (videoSrc.includes(nonEmbeddableUrl)) {
      var videoId = videoSrc.split(nonEmbeddableUrl)[1];
      videoSrc = "" + YOUTUBE.EMBEDDABLE_URL + videoId;
    }
    return videoSrc;
  };
  return {
    getEmbeddableUrl: getEmbeddableUrl
  };
};
export default useYouTubeProperties;